Page MenuHomePhabricator

Wikimedia Interwiki Search Results messages shouldn't link to pages named "Main Page"
Closed, ResolvedPublic

Description

All of the 284 messages in the group Wikimedia Interwiki Search Results on Translatewiki link to Wikipedias using the link [[:langcode:Main_Page|Wikipedia in XX language]]. On the vast majority of languages the actual page "Main Page" is a redirect to the real title of their Main Page – and that redirect can even be deleted (don't think that's done often, but it is possible). So instead, those links should just be [[:langcode:|Wikipedia in XX language]]. I propose changing the English-language original messages to that format, which is shorter and avoids the awkward redirects.

Event Timeline

jhsoby created this task.Nov 25 2016, 7:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2016, 7:54 PM
Matiia added a subscriber: Matiia.Nov 27 2016, 2:55 AM
Deskana triaged this task as Normal priority.Dec 15 2016, 11:08 PM
Deskana moved this task from needs triage to This Quarter on the Discovery-Search board.

Change 328560 had a related patch set uploaded (by Deskana):
Remove links to main page from interlanguage search messages

https://gerrit.wikimedia.org/r/328560

Deskana claimed this task.Dec 21 2016, 7:07 PM
Deskana moved this task from This Quarter to Current work on the Discovery-Search board.

Change 328560 merged by jenkins-bot:
Remove links to main page from interlanguage search messages

https://gerrit.wikimedia.org/r/328560

Deskana closed this task as Resolved.Dec 21 2016, 9:25 PM
Deskana added a subscriber: Krenair.

Thanks @Krenair!